Skip to main content
GET
/
api
/
v1
/
processes
/
{pid}
/
stdout
Get stdout
curl --request GET \
  --url https://{sandbox_id_or_name}.sandbox.tensorlake.ai/api/v1/processes/{pid}/stdout \
  --header 'Authorization: Bearer <token>'
{
  "pid": 123,
  "lines": [
    "<string>"
  ],
  "line_count": 123
}
Read stdout that has already been captured for a process.

Endpoint

GET /api/v1/processes/{pid}/stdout

Example Request

curl https://<sandbox-id>.sandbox.tensorlake.ai/api/v1/processes/42/stdout \
  -H "Authorization: Bearer $TENSORLAKE_API_KEY"

Response

Tensorlake returns 200 OK:
{
  "pid": 42,
  "lines": [
    "Serving HTTP on 0.0.0.0 port 8080",
    "127.0.0.1 - - [06/Apr/2026 22:20:00] \"GET / HTTP/1.1\" 200 -"
  ],
  "line_count": 2
}
If you need stderr only, use Get Process Stderr. If you need both streams merged, use Get Process Output.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pid
integer<int32>
required

The operating system PID of the process.

Response

Captured stdout

pid
integer<int32>
required
lines
string[]
required
line_count
integer<int32>
required